Subject: bug#58688: [Trunk] menu.c:1401:3: error: implicit declaration of function 'cancel_hourglass' is invalid in C99

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Oct 2022 19:06:46 +0300

> From: Jacob Faibussowitsch <[email-masked]>
> Date: Fri, 21 Oct 2022 11:55:49 -0400
> Cc: [email-masked]
> 
> No dice I’m afraid. It appears cancel_hourglass() is gated behind HAVE_WINDOW_SYSTEM:
> 
> // src/dispextern.h
> ...
> #ifdef HAVE_WINDOW_SYSTEM
> 
> extern void start_hourglass (void);
> extern void cancel_hourglass (void);
> 
> Which I do not appear to have:

Well, it would help if you'd posted your Emacs configuration with the
bug report to begin with.

I've tried to fix this now.